<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with the Workiva Platform-->
<!--Copyright 2026 Workiva-->
<!--r:68748e4c-bf6f-4e2d-9572-dd628143ca22,g:20418deb-71f6-4f22-9f38-54402d651d16-->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedPeriodStartLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodStartLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/netLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/net-2009-12-16.xsd#netLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedNetLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedNetLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedTerseLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTerseLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedPeriodEndLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodEndLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedTotalLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTotalLabel"/>
  <link:labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended">
    <link:label id="lab_ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital_906c5130-3058-4b99-8d6b-134006bcd522_totalLabel_en" xlink:label="lab_ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Cash flows from (used in) operations before changes in working capital</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:to="lab_ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:type="arc" order="1"/>
    <link:label id="lab_kemira_ReserveForInvestedUnrestrictedEquityMember_label_en" xlink:label="lab_kemira_ReserveForInvestedUnrestrictedEquityMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Reserve For Invested Unrestricted Equity [Member]</link:label>
    <link:label id="lab_kemira_ReserveForInvestedUnrestrictedEquityMember_documentation_en" xlink:label="lab_kemira_ReserveForInvestedUnrestrictedEquityMember" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Reserve For Invested Unrestricted Equity</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_kemira_ReserveForInvestedUnrestrictedEquityMember" xlink:href="74370031Y7RK5H88CQ48-2025-12-31.xsd#kemira_ReserveForInvestedUnrestrictedEquityMember"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_kemira_ReserveForInvestedUnrestrictedEquityMember" xlink:to="lab_kemira_ReserveForInvestedUnrestrictedEquityMember" xlink:type="arc" order="1"/>
    <link:label id="lab_kemira_TreasurySharesIssuedToTheBoardOfDirectors_label_en" xlink:label="lab_kemira_TreasurySharesIssuedToTheBoardOfDirectors" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Treasury shares issued to the Board of Directors</link:label>
    <link:label id="lab_kemira_TreasurySharesIssuedToTheBoardOfDirectors_documentation_en" xlink:label="lab_kemira_TreasurySharesIssuedToTheBoardOfDirectors" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Treasury shares issued to the Board of Directors</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_kemira_TreasurySharesIssuedToTheBoardOfDirectors" xlink:href="74370031Y7RK5H88CQ48-2025-12-31.xsd#kemira_TreasurySharesIssuedToTheBoardOfDirectors"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_kemira_TreasurySharesIssuedToTheBoardOfDirectors" xlink:to="lab_kemira_TreasurySharesIssuedToTheBoardOfDirectors" xlink:type="arc" order="1"/>
    <link:label id="lab_kemira_AdjustmentsForFinanceCostsNet_label_en" xlink:label="lab_kemira_AdjustmentsForFinanceCostsNet" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Adjustments For Finance Costs Net</link:label>
    <link:label id="lab_kemira_AdjustmentsForFinanceCostsNet_documentation_en" xlink:label="lab_kemira_AdjustmentsForFinanceCostsNet" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Adjustments For Finance Costs Net</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_kemira_AdjustmentsForFinanceCostsNet" xlink:href="74370031Y7RK5H88CQ48-2025-12-31.xsd#kemira_AdjustmentsForFinanceCostsNet"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_kemira_AdjustmentsForFinanceCostsNet" xlink:to="lab_kemira_AdjustmentsForFinanceCostsNet" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners_9bbd54ea-a2bb-4a67-907c-7634ab88d519_totalLabel_en" xlink:label="lab_ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Increase (decrease) through transactions with owners, equity</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners" xlink:to="lab_ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_CashFlowsFromUsedInFinancingActivities_3fd0b5c2-0b0c-40fb-bc75-45c3c35f2944_totalLabel_en" xlink:label="lab_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Cash flows from (used in) financing activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="lab_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_kemira_ProceedsFromNonCurrentNonInterestBearingLiabilities_label_en" xlink:label="lab_kemira_ProceedsFromNonCurrentNonInterestBearingLiabilities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Proceeds From Non-Current Non-Interest-Bearing Liabilities</link:label>
    <link:label id="lab_kemira_ProceedsFromNonCurrentNonInterestBearingLiabilities_documentation_en" xlink:label="lab_kemira_ProceedsFromNonCurrentNonInterestBearingLiabilities" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Proceeds From Non-Current Non-Interest-Bearing Liabilities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_kemira_ProceedsFromNonCurrentNonInterestBearingLiabilities" xlink:href="74370031Y7RK5H88CQ48-2025-12-31.xsd#kemira_ProceedsFromNonCurrentNonInterestBearingLiabilities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_kemira_ProceedsFromNonCurrentNonInterestBearingLiabilities" xlink:to="lab_kemira_ProceedsFromNonCurrentNonInterestBearingLiabilities" xlink:type="arc" order="1"/>
    <link:label id="lab_kemira_OtherFinanceItemsNet_label_en" xlink:label="lab_kemira_OtherFinanceItemsNet" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Other finance items, net</link:label>
    <link:label id="lab_kemira_OtherFinanceItemsNet_documentation_en" xlink:label="lab_kemira_OtherFinanceItemsNet" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Other finance items, net</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_kemira_OtherFinanceItemsNet" xlink:href="74370031Y7RK5H88CQ48-2025-12-31.xsd#kemira_OtherFinanceItemsNet"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_kemira_OtherFinanceItemsNet" xlink:to="lab_kemira_OtherFinanceItemsNet" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_CashFlowsFromUsedInInvestingActivities_1ce18230-5df0-4253-b210-6b08ceb1482e_totalLabel_en" xlink:label="lab_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Cash flows from (used in) investing activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="lab_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_kemira_FinanceCostsNetFinanceIncomeFinanceExpensesExchangeDifferencesTotal_c6ec5844-e96e-4f19-abe7-a200712e2a32_totalLabel_en" xlink:label="lab_kemira_FinanceCostsNetFinanceIncomeFinanceExpensesExchangeDifferencesTotal" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Finance costs, net (Finance income, finance expenses, exchange differences total)</link:label>
    <link:label id="lab_kemira_FinanceCostsNetFinanceIncomeFinanceExpensesExchangeDifferencesTotal_label_en" xlink:label="lab_kemira_FinanceCostsNetFinanceIncomeFinanceExpensesExchangeDifferencesTotal" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Finance costs, net (finance income, finance expenses, exchange differences total)</link:label>
    <link:label id="lab_kemira_FinanceCostsNetFinanceIncomeFinanceExpensesExchangeDifferencesTotal_documentation_en" xlink:label="lab_kemira_FinanceCostsNetFinanceIncomeFinanceExpensesExchangeDifferencesTotal" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Total line consists of the following item a) finance income and b) finance expenses and c) exchange differences</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_kemira_FinanceCostsNetFinanceIncomeFinanceExpensesExchangeDifferencesTotal" xlink:href="74370031Y7RK5H88CQ48-2025-12-31.xsd#kemira_FinanceCostsNetFinanceIncomeFinanceExpensesExchangeDifferencesTotal"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_kemira_FinanceCostsNetFinanceIncomeFinanceExpensesExchangeDifferencesTotal" xlink:to="lab_kemira_FinanceCostsNetFinanceIncomeFinanceExpensesExchangeDifferencesTotal" xlink:type="arc" order="1"/>
    <link:label id="lab_kemira_TreasurySharesIssuedToTheTargetGroupOfAShareBasedIncentivePlan_label_en" xlink:label="lab_kemira_TreasurySharesIssuedToTheTargetGroupOfAShareBasedIncentivePlan" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Treasury shares issued to the target group of a share-based incentive plan</link:label>
    <link:label id="lab_kemira_TreasurySharesIssuedToTheTargetGroupOfAShareBasedIncentivePlan_documentation_en" xlink:label="lab_kemira_TreasurySharesIssuedToTheTargetGroupOfAShareBasedIncentivePlan" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Treasury shares issued to the target group of a share-based incentive plan</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_kemira_TreasurySharesIssuedToTheTargetGroupOfAShareBasedIncentivePlan" xlink:href="74370031Y7RK5H88CQ48-2025-12-31.xsd#kemira_TreasurySharesIssuedToTheTargetGroupOfAShareBasedIncentivePlan"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_kemira_TreasurySharesIssuedToTheTargetGroupOfAShareBasedIncentivePlan" xlink:to="lab_kemira_TreasurySharesIssuedToTheTargetGroupOfAShareBasedIncentivePlan" xlink:type="arc" order="1"/>
    <link:label id="lab_kemira_ReserveForInvestedUnrestrictedEquity_label_en" xlink:label="lab_kemira_ReserveForInvestedUnrestrictedEquity" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Reserve For Invested Unrestricted Equity</link:label>
    <link:label id="lab_kemira_ReserveForInvestedUnrestrictedEquity_documentation_en" xlink:label="lab_kemira_ReserveForInvestedUnrestrictedEquity" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Unrestricted equity reserve</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_kemira_ReserveForInvestedUnrestrictedEquity" xlink:href="74370031Y7RK5H88CQ48-2025-12-31.xsd#kemira_ReserveForInvestedUnrestrictedEquity"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_kemira_ReserveForInvestedUnrestrictedEquity" xlink:to="lab_kemira_ReserveForInvestedUnrestrictedEquity" xlink:type="arc" order="1"/>
    <link:label id="lab_kemira_TreasurySharesReturned_label_en" xlink:label="lab_kemira_TreasurySharesReturned" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Treasury shares returned</link:label>
    <link:label id="lab_kemira_TreasurySharesReturned_documentation_en" xlink:label="lab_kemira_TreasurySharesReturned" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Treasury shares returned</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_kemira_TreasurySharesReturned" xlink:href="74370031Y7RK5H88CQ48-2025-12-31.xsd#kemira_TreasurySharesReturned"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_kemira_TreasurySharesReturned" xlink:to="lab_kemira_TreasurySharesReturned" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_CashFlowsFromUsedInOperatingActivities_ea4231e2-a53b-44c8-b247-b4a3c5f8db32_totalLabel_en" xlink:label="lab_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Net cash generated from operating activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="lab_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_kemira_EBITDA_61a142da-1799-460b-a9f5-33e8aef150d9_totalLabel_en" xlink:label="lab_kemira_EBITDA" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">EBITDA</link:label>
    <link:label id="lab_kemira_EBITDA_label_en" xlink:label="lab_kemira_EBITDA" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">EBITDA</link:label>
    <link:label id="lab_kemira_EBITDA_documentation_en" xlink:label="lab_kemira_EBITDA" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">EBITDA Earningsbeforeinteresttaxesdepreciationandamortization</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_kemira_EBITDA" xlink:href="74370031Y7RK5H88CQ48-2025-12-31.xsd#kemira_EBITDA"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_kemira_EBITDA" xlink:to="lab_kemira_EBITDA" xlink:type="arc" order="1"/>
    <link:label id="lab_kemira_ExchangeDifferences_label_en" xlink:label="lab_kemira_ExchangeDifferences" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Exchange differences</link:label>
    <link:label id="lab_kemira_ExchangeDifferences_documentation_en" xlink:label="lab_kemira_ExchangeDifferences" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en"></link:label>
    <link:loc xlink:type="locator" xlink:label="loc_kemira_ExchangeDifferences" xlink:href="74370031Y7RK5H88CQ48-2025-12-31.xsd#kemira_ExchangeDifferences"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_kemira_ExchangeDifferences" xlink:to="lab_kemira_ExchangeDifferences" xlink:type="arc" order="1"/>
    <link:label id="lab_kemira_DecreaseIncreaseInLoanReceivables_label_en" xlink:label="lab_kemira_DecreaseIncreaseInLoanReceivables" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Decrease (+), increase (-) in loan receivables</link:label>
    <link:label id="lab_kemira_DecreaseIncreaseInLoanReceivables_documentation_en" xlink:label="lab_kemira_DecreaseIncreaseInLoanReceivables" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Decrease (+), increase (-) in loan receivables</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_kemira_DecreaseIncreaseInLoanReceivables" xlink:href="74370031Y7RK5H88CQ48-2025-12-31.xsd#kemira_DecreaseIncreaseInLoanReceivables"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_kemira_DecreaseIncreaseInLoanReceivables" xlink:to="lab_kemira_DecreaseIncreaseInLoanReceivables" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_IncreaseDecreaseInWorkingCapital_31671f97-358e-4883-be3b-418e7e5da7e8_totalLabel_en" xlink:label="lab_ifrs-full_IncreaseDecreaseInWorkingCapital" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Increase (decrease) in working capital</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncreaseDecreaseInWorkingCapital" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncreaseDecreaseInWorkingCapital"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_IncreaseDecreaseInWorkingCapital" xlink:to="lab_ifrs-full_IncreaseDecreaseInWorkingCapital" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_CashFlowsFromUsedInOperations_e3983092-ea03-45e8-a2e5-36df17b0f89d_totalLabel_en" xlink:label="lab_ifrs-full_CashFlowsFromUsedInOperations" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Cash flows from (used in) operations</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperations" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInOperations"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations" xlink:to="lab_ifrs-full_CashFlowsFromUsedInOperations" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_6dc03002-c001-4d36-a2a2-0f742bd446bb_totalLabel_en" xlink:label="lab_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Increase (decrease) in cash and cash equivalents before effect of exchange rate changes</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:to="lab_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:type="arc" order="1"/>
  </link:labelLink>
</link:linkbase>
